﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.51/hugo_0.51_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.61.0/hugo_0.61.0_Windows-64bit.zip'

    checksum       = 'BB6AE1134F2772D77A257C81DF526518406429918D636E3A0CB05D853A1E486E'
    checksumType   = 'sha256'
    checksum64     = 'f08d3cd980aaab817d7a0d348f6836e08033f7f7f108a8d2441259007d57fe2d'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
